BimpHelp

Currencies: Bimp API methods

Bimp API methods for the “Currencies” resource (/org2/currency/…): 2 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/currency/api-readListA request to view a list of currencies
POST /org2/currency/api-readA request to obtain detailed information for a particular currency

api-readList

POST /org2/currency/api-readList

A request to view a list of currencies

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets

Response: data field

FieldTypeDescription
[].uuidstring
[].namestring
[].codestring
curl -X POST 'https://app.bimpsoft.com/org2/currency/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/currency/api-read

A request to obtain detailed information for a particular currency

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a currency

Response: data field

FieldTypeDescription
uuidstring
namestring
codestring
curl -X POST 'https://app.bimpsoft.com/org2/currency/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.